Bug 159038 - AssertionError at org.netbeans.modules.bugzilla.BugzillaRepository.getIssue
AssertionError at org.netbeans.modules.bugzilla.BugzillaRepository.getIssue
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Bugzilla
6.x
All All
: P3 (vote)
: TBD
Assigned To: Tomas Stupka
issues@connecteddeveloper
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-24 09:57 UTC by Jaromir Uhrik
Modified: 2009-07-27 09:20 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.24 KB, text/plain)
2009-02-24 09:57 UTC, Jaromir Uhrik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2009-02-24 09:57:00 UTC
Build: NetBeans IDE Dev (Build 090218)
VM: Java HotSpot(TM) Client VM, 1.5.0_16-133, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_16-b06-284
OS: Mac OS X, 10.5.6, i386

User Comments:
juhrik: I have bugzilla and am connected to it from IDE. There are 2 bugs #1 and #2. I want to search issue by Issue ID so that I write "1" to the Issue ID text field and then I push Go To Issue button. The AssertionError appears then.



Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.bugzilla.BugzillaRepository.getIssue(BugzillaRepository.java:128)
        at org.netbeans.modules.bugzilla.query.QueryController.onGotoIssue(QueryController.java:424)
        at org.netbeans.modules.bugzilla.query.QueryController.actionPerformed(QueryController.java:341)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1882)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2202)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:420)
Comment 1 Jaromir Uhrik 2009-02-24 09:57:04 UTC
Created attachment 77280 [details]
stacktrace
Comment 2 Tomas Stupka 2009-02-24 10:27:23 UTC
fixed

changeset   : 118330:49eaccea8c12
author      : Tomas Stupka <tstupka@netbeans.org>
date        : Tue Feb 24 11:26:49 CET 2009
summary     : #159038 - AssertionError at org.netbeans.modules.bugzilla.BugzillaRepository.getIssue
Comment 3 Jaromir Uhrik 2009-03-03 15:26:51 UTC
Verified in build of 2009/03/03
Comment 4 Quality Engineering 2009-03-17 08:27:21 UTC
Integrated into 'main-golden', will be available in build *200903170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/49eaccea8c12
User: Tomas Stupka <tstupka@netbeans.org>
Log: #159038 - AssertionError at org.netbeans.modules.bugzilla.BugzillaRepository.getIssue


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo